summaryrefslogtreecommitdiff
path: root/tests/rm/isatty
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/isatty')
-rwxr-xr-xtests/rm/isatty5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/rm/isatty b/tests/rm/isatty
index e3a0317d1..2026433b1 100755
--- a/tests/rm/isatty
+++ b/tests/rm/isatty
@@ -28,6 +28,11 @@ fail=0
ls /dev/stdin >/dev/null 2>&1 \
|| { (exit 77); exit; }
+# FIXME: skip this test, for now.
+# FIXME: reenable it once I find a way to test whether rm's read (below)
+# would cause the test to hang (i.e., when run in the background).
+(exit 77); exit
+
touch f
chmod 0 f
rm f < /dev/stdin > out 2>&1 &